CQCt::CQCt(CAccessorAdminCollection& inAccessorAdminCollection,
           CAlgorithm&               inAlgorithm):
  CQuery(inAccessorAdminCollection,
         inAlgorithm){
  {
    // mproxy has been filled in a reasonable way 
    // by CQuery::CQuery
    mAccessor=mAccessorAdmin->openAccessor("ct");
    init();
    assert(mAccessor);
  }

  // Konfigurationsdaten ausgeben 
  string lOutString; 
  inAlgorithm.toXML(lOutString); 
  cout << "CQCt::CQCt" << endl 
       << "Die Konfigurationsdaten für den Query Processor sind:" 
       << lOutString << endl 
       << "---------------------------------------------" << endl; 

};


CXMLElement* CQCt::query(const CXMLElement& inQuery){ 
  CXMLElement* lReturnValue=new CXMLElement(mrml_const::query_result);

  // Query ausgeben 
  string lOutString; 
  inQuery.toXML(lOutString); 
  cout << "CQCt::query" << endl 
       << "Die query ist:" 
       << lOutString << endl 
       << "---------------------------------------------" << endl;
  return lReturnValue; 
};


CAcCt::CAcCt(const CXMLElement& inCollectionElement){
  mMutexCt.lock();
  string lOutString;
  inCollectionElement.toXML(lOutString);
  cout << "CAcCt::CAcCt" << endl
       << "Die Konfigurationsdaten für den Accessor sind:"
       << lOutString << endl
       << "---------------------------------------------" << endl;
  mMutexCt.unlock();
}
